/* strings and other constants for cli.c module	*/

#ifndef _cli_constants_h_
#define _cli_constants_h_

const rom char *const rom cli_banner =
"\r\rCircuits At Home"
"\rXBee sensor platform serial console\r\n"
"\r";

const rom char *const rom cli_root_menu_help =
"\r1 - Show device parameters\r"
"2 - Set device parameters\r"
"3 - Utilities\r";

const rom char *const rom cli_show_menu_help =
"\r1 - Show uptime\r"
"2 - Show VDD\r"
"3 - Show Xbee information\r";

const rom char *const rom cli_set_menu_help =
"\r1 - Set menu item 1\r"
"2 - Set menu item 2\r"
"3 - Set menu item 3\r";

const rom char *const rom cli_util_menu_help =
"\r1 - Util menu item 1\r"
"2 - Util menu item 2\r"
"3 - Util menu item 3\r";

const rom char *const rom crlf = "\r";
const rom char *const rom angle = "\r>";
const rom char *const rom cli_prompt_main = "\r(main).";
const rom char *const rom cli_prompt_show = "\r(show).";
const rom char *const rom cli_prompt_set = "\r(set).";
const rom char *const rom cli_prompt_util = "\r(util).";

const rom char * const rom press_qm = "Press '?' for help>";
const rom char *const rom esc_prev_lvl = "<ESC> - previous level\r";
const rom char *const rom cli_invalid_key = "\rInvalid key pressed\r";

/* Xbee related	*/
const rom char *const rom AT_pref = "AT";

typedef struct _UPTIME_FORMAT {
	const rom DWORD divider;
	const rom char *const rom name;
}UPTIME_FORMAT;

const rom UPTIME_FORMAT uptime_format[ 4 ] = {
	{ 86400000, " days " },
	{ 3600000, " hours " },
	{ 60000, " minutes " },
	{ 1000, " seconds" }
};
	
//#define NUMQUERIES 6		//number of register queries
#define RESP_MAXLEN 21		//maximum response length. Node identifier ATNI

typedef struct _XBEE_RD_CMD {
	const rom char *const rom name;		//Parameter name to print
	const rom char *at_command;			//AT command to query parameter
}XBEE_RD_CMD;

const rom XBEE_RD_CMD cmd_query[] = {
	{ "Destination address high: ", "DH" },
	{ "Destination address low: ", "DL" },
	{ "Network address: ", "MY" },
	{ "Parent address: ", "MP" },
	{ "Number of remaining children: ", "NC" },
	{ "Serial number high: ", "SH" },
	{ "Serial number low: ", "SL" },
	{ "Node identifier: ", "NI" },
	{ "Device type: ", "DD" },
	{ "Source endpoint: ", "SE" },
	{ "Destination endpoint: ", "DE" },
	{ "Cluster identifier: ", "CI" },
	{ "Maximum RF payload Bytes: ", "NP" },
	{ "Operating channel: ", "CH" },
	{ "Extended PAN ID: ", "ID" },
	{ "Operating Extended PAN ID: ", "OP" },
	{ "Maximum Unicast hops: ", "NH" },
	{ "Broadcast hops: ", "BH" },
	{ "Operating 16-bit PAN ID: ", "OI" },
	{ "Node discovery timeout: ", "NT" },
	{ "Network discovery options: ", "NO" },
	{ "Scan channels: ", "SC" },
	{ "Scan duration: ", "SD" },
	{ "ZigBee stack profile: ", "ZS" },
	{ "Node join time: ", "NJ" },
	{ "Channel verification: ", "JV" },
	{ "Join notification: ", "JN" },
	{ "Aggregate routing notification: ", "AR" },
	{ "Association indication: ", "AI" },
	{ "Encryption enable: ", "EE" },
	{ "Encryption options: ", "EO" },
	{ "Power level: ", "PL" },
	{ "Power mode: ", "PM" },
	{ "Received signal strength: ", "DB" },
	{ "Interface data rate: ", "BD" },
	{ "Serial parity: ", "NB" },
	{ "Packetization timeout: ", "RO" },
	{ "DIO7 configuration: ", "D7" },
	{ "DIO6 configuration: ", "D6" },
	{ "IO sample rate: ", "IR" },
	{ "IO digital change detection: ", "IC" },
	{ "PWM0 configuration: ", "P0" },
	{ "DIO11 configuration: ", "P1" },
	{ "DIO12 configuration: ", "P2" },
	{ "DIO13 configuration: ", "P3" },
	{ "AD0/DIO0 configuration: ", "D0" }, 
	{ "AD1/DIO1 configuration: ", "D1" },
	{ "AD2/DIO2 configuration: ", "D2" },
	{ "AD3/DIO3 configuration: ", "D3" },
	{ "AD4/DIO4 configuration: ", "D4" },
	{ "AD5/DIO5 configuration: ", "D5" },
	{ "DIO8 configuration: ", "D8" },
	{ "Assoc.LED blink time: ", "LT" },
	{ "Pull-ups: ", "PR" },
	{ "RSSI PWM: ", "RP" },
	{ "Commissioning pushbutton: ", "CB" },
	{ "Supply voltage: ", "%V" },
	{ "Firmware version: ", "VR" },
	{ "Hardware version: ", "HV" },
	{ "Command mode timeout: ", "CT" },
	{ "Command sequence character: ", "CC" },
	{ "Wake host: ", "WH" },
	{ 0, 0 }
};



#endif //_cli_constants_h_